# NOTE: Please read the following to check if and which aggregate the metric should be added to.
#
# code_review_extension_category_monthly_active_users
# This is only metrics related to the VS Code Extension for now.
#
# code_review_category_monthly_active_users
# This is the user based metrics. These should only be user based metrics and only be related to the Code Review things inside of GitLab.
#
# code_review_group_monthly_active_users
# This is an aggregation of both of the above aggregations. It's intended to represent all users who interact with our group across all of our categories.
---
- name: code_review_group_monthly_active_users
  operator: OR
  source: redis
  time_frame: [7d, 28d]
  events:
    - 'i_code_review_user_single_file_diffs'
    - 'i_code_review_user_create_mr'
    - 'i_code_review_user_close_mr'
    - 'i_code_review_user_reopen_mr'
    - 'i_code_review_user_resolve_thread'
    - 'i_code_review_user_unresolve_thread'
    - 'i_code_review_edit_mr_title'
    - 'i_code_review_edit_mr_desc'
    - 'i_code_review_user_merge_mr'
    - 'i_code_review_user_create_mr_comment'
    - 'i_code_review_user_edit_mr_comment'
    - 'i_code_review_user_remove_mr_comment'
    - 'i_code_review_user_create_review_note'
    - 'i_code_review_user_publish_review'
    - 'i_code_review_user_create_multiline_mr_comment'
    - 'i_code_review_user_edit_multiline_mr_comment'
    - 'i_code_review_user_remove_multiline_mr_comment'
    - 'i_code_review_user_add_suggestion'
    - 'i_code_review_user_apply_suggestion'
    - 'i_code_review_user_assigned'
    - 'i_code_review_user_review_requested'
    - 'i_code_review_user_approve_mr'
    - 'i_code_review_user_unapprove_mr'
    - 'i_code_review_user_marked_as_draft'
    - 'i_code_review_user_unmarked_as_draft'
    - 'i_code_review_user_approval_rule_added'
    - 'i_code_review_user_approval_rule_deleted'
    - 'i_code_review_user_approval_rule_edited'
    - 'i_code_review_user_vs_code_api_request'
    - 'i_code_review_user_toggled_task_item_status'
    - 'i_code_review_user_create_mr_from_issue'
    - 'i_code_review_user_mr_discussion_locked'
    - 'i_code_review_user_mr_discussion_unlocked'
    - 'i_code_review_user_time_estimate_changed'
    - 'i_code_review_user_time_spent_changed'
    - 'i_code_review_user_assignees_changed'
    - 'i_code_review_user_reviewers_changed'
    - 'i_code_review_user_milestone_changed'
    - 'i_code_review_user_labels_changed'
    - 'i_code_review_click_diff_view_setting'
    - 'i_code_review_click_single_file_mode_setting'
    - 'i_code_review_click_file_browser_setting'
    - 'i_code_review_click_whitespace_setting'
    - 'i_code_review_diff_view_inline'
    - 'i_code_review_diff_view_parallel'
    - 'i_code_review_file_browser_tree_view'
    - 'i_code_review_file_browser_list_view'
    - 'i_code_review_diff_show_whitespace'
    - 'i_code_review_diff_hide_whitespace'
    - 'i_code_review_diff_single_file'
    - 'i_code_review_diff_multiple_files'
    - 'i_code_review_user_load_conflict_ui'
    - 'i_code_review_user_resolve_conflict'
    - 'i_code_review_user_searches_diff'
    - 'i_code_review_user_resolve_thread_in_issue'
    - 'i_code_review_widget_nothing_merge_click_new_file'
    - 'i_code_review_post_merge_delete_branch'
    - 'i_code_review_post_merge_click_revert'
    - 'i_code_review_post_merge_click_cherry_pick'
    - 'i_code_review_post_merge_submit_revert_modal'
    - 'i_code_review_post_merge_submit_cherry_pick_modal'
    - 'i_code_review_user_jetbrains_api_request'
    - 'i_code_review_user_gitlab_cli_api_request'
    - 'i_code_review_user_create_note_in_ipynb_diff'
    - 'i_code_review_user_create_note_in_ipynb_diff_mr'
    - 'i_code_review_user_create_note_in_ipynb_diff_commit'
    - 'i_code_review_merge_request_widget_test_summary_view'
    - 'i_code_review_merge_request_widget_test_summary_full_report_clicked'
    - 'i_code_review_merge_request_widget_test_summary_expand'
    - 'i_code_review_merge_request_widget_test_summary_expand_success'
    - 'i_code_review_merge_request_widget_test_summary_expand_warning'
    - 'i_code_review_merge_request_widget_test_summary_expand_failed'
    - 'i_code_review_merge_request_widget_accessibility_view'
    - 'i_code_review_merge_request_widget_accessibility_full_report_clicked'
    - 'i_code_review_merge_request_widget_accessibility_expand'
    - 'i_code_review_merge_request_widget_accessibility_expand_success'
    - 'i_code_review_merge_request_widget_accessibility_expand_warning'
    - 'i_code_review_merge_request_widget_accessibility_expand_failed'
    - 'i_code_review_merge_request_widget_code_quality_view'
    - 'i_code_review_merge_request_widget_code_quality_full_report_clicked'
    - 'i_code_review_merge_request_widget_code_quality_expand'
    - 'i_code_review_merge_request_widget_code_quality_expand_success'
    - 'i_code_review_merge_request_widget_code_quality_expand_warning'
    - 'i_code_review_merge_request_widget_code_quality_expand_failed'
    - 'i_code_review_merge_request_widget_terraform_view'
    - 'i_code_review_merge_request_widget_terraform_full_report_clicked'
    - 'i_code_review_merge_request_widget_terraform_expand'
    - 'i_code_review_merge_request_widget_terraform_expand_success'
    - 'i_code_review_merge_request_widget_terraform_expand_warning'
    - 'i_code_review_merge_request_widget_terraform_expand_failed'
    - 'i_code_review_merge_request_widget_metrics_view'
    - 'i_code_review_merge_request_widget_metrics_full_report_clicked'
    - 'i_code_review_merge_request_widget_metrics_expand'
    - 'i_code_review_merge_request_widget_metrics_expand_success'
    - 'i_code_review_merge_request_widget_metrics_expand_warning'
    - 'i_code_review_merge_request_widget_metrics_expand_failed'
- name: code_review_category_monthly_active_users
  operator: OR
  source: redis
  time_frame: [7d, 28d]
  events:
    - 'i_code_review_user_single_file_diffs'
    - 'i_code_review_user_create_mr'
    - 'i_code_review_user_close_mr'
    - 'i_code_review_user_reopen_mr'
    - 'i_code_review_user_resolve_thread'
    - 'i_code_review_user_unresolve_thread'
    - 'i_code_review_edit_mr_title'
    - 'i_code_review_edit_mr_desc'
    - 'i_code_review_user_merge_mr'
    - 'i_code_review_user_create_mr_comment'
    - 'i_code_review_user_edit_mr_comment'
    - 'i_code_review_user_remove_mr_comment'
    - 'i_code_review_user_create_review_note'
    - 'i_code_review_user_publish_review'
    - 'i_code_review_user_create_multiline_mr_comment'
    - 'i_code_review_user_edit_multiline_mr_comment'
    - 'i_code_review_user_remove_multiline_mr_comment'
    - 'i_code_review_user_add_suggestion'
    - 'i_code_review_user_apply_suggestion'
    - 'i_code_review_user_assigned'
    - 'i_code_review_user_review_requested'
    - 'i_code_review_user_approve_mr'
    - 'i_code_review_user_unapprove_mr'
    - 'i_code_review_user_marked_as_draft'
    - 'i_code_review_user_unmarked_as_draft'
    - 'i_code_review_user_approval_rule_added'
    - 'i_code_review_user_approval_rule_deleted'
    - 'i_code_review_user_approval_rule_edited'
    - 'i_code_review_user_toggled_task_item_status'
    - 'i_code_review_user_create_mr_from_issue'
    - 'i_code_review_user_mr_discussion_locked'
    - 'i_code_review_user_mr_discussion_unlocked'
    - 'i_code_review_user_time_estimate_changed'
    - 'i_code_review_user_time_spent_changed'
    - 'i_code_review_user_assignees_changed'
    - 'i_code_review_user_reviewers_changed'
    - 'i_code_review_user_milestone_changed'
    - 'i_code_review_user_labels_changed'
    - 'i_code_review_click_diff_view_setting'
    - 'i_code_review_click_single_file_mode_setting'
    - 'i_code_review_click_file_browser_setting'
    - 'i_code_review_click_whitespace_setting'
    - 'i_code_review_diff_view_inline'
    - 'i_code_review_diff_view_parallel'
    - 'i_code_review_file_browser_tree_view'
    - 'i_code_review_file_browser_list_view'
    - 'i_code_review_diff_show_whitespace'
    - 'i_code_review_diff_hide_whitespace'
    - 'i_code_review_diff_single_file'
    - 'i_code_review_diff_multiple_files'
    - 'i_code_review_user_load_conflict_ui'
    - 'i_code_review_user_resolve_conflict'
    - 'i_code_review_user_searches_diff'
    - 'i_code_review_user_resolve_thread_in_issue'
    - 'i_code_review_widget_nothing_merge_click_new_file'
    - 'i_code_review_post_merge_delete_branch'
    - 'i_code_review_post_merge_click_revert'
    - 'i_code_review_post_merge_click_cherry_pick'
    - 'i_code_review_post_merge_submit_revert_modal'
    - 'i_code_review_post_merge_submit_cherry_pick_modal'
    - 'i_code_review_user_create_note_in_ipynb_diff'
    - 'i_code_review_user_create_note_in_ipynb_diff_mr'
    - 'i_code_review_user_create_note_in_ipynb_diff_commit'
    - 'i_code_review_merge_request_widget_test_summary_view'
    - 'i_code_review_merge_request_widget_test_summary_full_report_clicked'
    - 'i_code_review_merge_request_widget_test_summary_expand'
    - 'i_code_review_merge_request_widget_test_summary_expand_success'
    - 'i_code_review_merge_request_widget_test_summary_expand_warning'
    - 'i_code_review_merge_request_widget_test_summary_expand_failed'
    - 'i_code_review_merge_request_widget_accessibility_view'
    - 'i_code_review_merge_request_widget_accessibility_full_report_clicked'
    - 'i_code_review_merge_request_widget_accessibility_expand'
    - 'i_code_review_merge_request_widget_accessibility_expand_success'
    - 'i_code_review_merge_request_widget_accessibility_expand_warning'
    - 'i_code_review_merge_request_widget_accessibility_expand_failed'
    - 'i_code_review_merge_request_widget_code_quality_view'
    - 'i_code_review_merge_request_widget_code_quality_full_report_clicked'
    - 'i_code_review_merge_request_widget_code_quality_expand'
    - 'i_code_review_merge_request_widget_code_quality_expand_success'
    - 'i_code_review_merge_request_widget_code_quality_expand_warning'
    - 'i_code_review_merge_request_widget_code_quality_expand_failed'
    - 'i_code_review_merge_request_widget_terraform_view'
    - 'i_code_review_merge_request_widget_terraform_full_report_clicked'
    - 'i_code_review_merge_request_widget_terraform_expand'
    - 'i_code_review_merge_request_widget_terraform_expand_success'
    - 'i_code_review_merge_request_widget_terraform_expand_warning'
    - 'i_code_review_merge_request_widget_terraform_expand_failed'
    - 'i_code_review_merge_request_widget_metrics_view'
    - 'i_code_review_merge_request_widget_metrics_full_report_clicked'
    - 'i_code_review_merge_request_widget_metrics_expand'
    - 'i_code_review_merge_request_widget_metrics_expand_success'
    - 'i_code_review_merge_request_widget_metrics_expand_warning'
    - 'i_code_review_merge_request_widget_metrics_expand_failed'
- name: code_review_extension_category_monthly_active_users
  operator: OR
  source: redis
  time_frame: [7d, 28d]
  events:
    - 'i_code_review_user_vs_code_api_request'
    - 'i_code_review_user_jetbrains_api_request'
    - 'i_code_review_user_gitlab_cli_api_request'
